# getProjectNatures

abstract fun getProjectNatures(): DomainObjectSet<out EclipseProjectNature>

Returns the Eclipse natures configured on the project.

Some natures are automatically added to the result based on the Gradle plugins applied on the project. For example, if the project applies the 'java' plugin the result will contain the `"org.eclipse.jdt.core.javanature"` entry. Note, that the exact list of automatically added natures is not part of the API and can vary between Gradle releases.

The result can be customized via the 'eclipse' plugin configuration.

#### Return

The list of Eclipse project natures.

#### Since

2.9

#### Throws

UnsupportedMethodException

For Gradle versions older than 2.9, where this method is not supported.